Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Lessons

Get Question Participations
GET /training/questions/participation
https://api.relesysapp.net/api/v1.1/training/questions/participation
Get a list of Course Question Participations
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseLessonId string / guid Filterable Sortable optional
courseQuestionId string / guid Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
isCorrectAnswer boolean Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
points integer Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseLessonId":"8248cc95-dfe7-4f3f-b5d3-d0e09c162e83","courseQuestionId":"76d484ab-f2fa-49d2-b549-20f8ec7fc7b0","userId":"0f05fb03-8c26-4041-81e6-d6ed84a7a26e","isCorrectAnswer":true,"points":2,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"},{"courseLessonId":"a730a6d6-ae5e-49ff-a59d-bb9183739989","courseQuestionId":"cb0274f4-0b03-4abf-83ed-6f7543381512","userId":"9a623eda-8c00-4d61-a1a8-0889a1a78e7c","isCorrectAnswer":false,"points":0,"creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   courseLessonId string / guid      
   courseQuestionId string / guid      
   creationDateTime datetimeoffset      
   isCorrectAnswer boolean      
   lastModifiedDateTime datetimeoffset      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string